class CSSValue

# class CSSValue | The `CSSValue` interface represents a simple or a complexe value. More...
Full name | `DOM::CSSValue`
Definition | `#include <css_value.h>`
Inherited by | CSS2Azimuth, CSS2BackgroundPosition, CSS2BorderSpacing, CSS2Cursor, CSS2PageSize, CSS2PlayDuring, CSSPrimitiveValue, CSSValueList
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3 }

#### Public Methods

- CSSValue ()
- CSSValue (const CSSValue &other)
- CSSValue (CSSValueImpl *impl)
- CSSValue & operator = (const CSSValue &other)
- ~CSSValue ()
- DOM::DOMString cssText () const
- void setCssText ( const DOM::DOMString & )
- unsigned short cssValueType () const
- bool isCSSValueList () const
- bool isCSSPrimitiveValue () const
- CSSValueImpl * handle () const
- bool isNull () const

#### Protected Members

- CSSValueImpl *impl

## Detailed Description

The `CSSValue` interface represents a simple or a complexe value.

CSSValue () | ### CSSValue

CSSValue (const CSSValue &other) | ### CSSValue

CSSValue (CSSValueImpl *impl) | ### CSSValue

CSSValue & operator = (const CSSValue &other) | ### operator =

~CSSValue () | ### ~CSSValue

enum UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3 } | ### UnitTypes

An integer indicating which type of unit applies to the value.

All CSS2 constants are not supposed to be required by the implementation since all CSS2 interfaces are optionals.

DOM::DOMString cssText () | ### cssText

[const]

A string representation of the current value.

void setCssText ( const DOM::DOMString & ) | ### setCssText

see cssText

Throws: CSSException, SYNTAX_ERR:, Raised, if, the, specified, CSS, string, value, has, a, syntax, error, and, is, unparsable., DOMException, NO_MODIFICATION_ALLOWED_ERR:, Raised, if, this, declaration, is, readonly.

unsigned short cssValueType () | ### cssValueType

[const]

A code defining the type of the value as defined above.

bool isCSSValueList () | ### isCSSValueList

[const]

not part of the DOM

bool isCSSPrimitiveValue () | ### isCSSPrimitiveValue

[const]

CSSValueImpl * handle () | ### handle

[const]

bool isNull () | ### isNull

[const]

CSSValueImpl * impl | ### impl

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.